Bug 163867 - sysutils/xfce4-netload-plugin: does not compile
Summary: sysutils/xfce4-netload-plugin: does not compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-06 15:20 UTC by Rene Ladan
Modified: 2012-01-27 09:10 UTC (History)
0 users

See Also:


Attachments
xfce4-netload-plugin.diff (586 bytes, patch)
2012-01-26 21:39 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2012-01-06 15:20:08 UTC
The sysutils/xfce4-netload-plugin does not compile on 10.0/amd64: 

[....]

cc -DHAVE_CONFIG_H -I. -I..   -I/usr/local/include -L/usr/local/lib -DNDEBUG -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT -DG_DISABLE_CHECKS -DPACKAGE_LOCALE_DIR=\"/usr/local/share/locale\" -D_REENTRANT -D_THREAD_SAFE -I/usr/local/include/xfce4/libxfce4panel-1.0 -I/usr/local/include/gtk-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/include/xfce4 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/drm -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include -I/usr/local/include/xfce4 -I/usr/local/include/gtk-2.0 -I/usr/local/lib/gtk-2.0/include -I/usr/local/include/pango-1.0 -I/usr/local/include/gio-unix-2.0/ -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/include
 /pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng -I/usr/local/include/drm -I/usr/local/include/atk-1.0   -O2 -pipe -march=core2 -fno-strict-aliasing -MT xfce4_netload_plugin-netload.o -MD -MP -MF .deps/xfce4_netload_plugin-netload.Tpo -c -o xfce4_netload_plugin-netload.o `test -f 'netload.c' || echo './'`netload.c
In file included from netload.c:26:
net.h:72:57: error: operator '||' has no right operand
net.h:93:2: error: #error "OS not supported"
gmake[2]: *** [xfce4_netload_plugin-netload.o] Error 1

# cat /etc/make.conf
CPUTYPE?=core2
KERNCONF=IPHION
WITH_VIM_OPTIONS=yes
FORCE_MAKE_JOBS=yes
# added by use.perl 2011-12-09 12:12:52
PERL_VERSION=5.12.4

Fix: 

No idea, the error looks weird.
How-To-Repeat: # cd /usr/ports/sysutils/xfce4-netload-plugin
# make

Disabling FORCE_MAKE_JOBS in /etc/make.conf does not help.
Comment 1 Edwin Groothuis freebsd_committer 2012-01-06 15:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Rene Ladan freebsd_committer 2012-01-06 15:49:46 UTC
It seems to compile fine on 789-i386 though (no amd64 yet):
http://rene-ladan.nl:8080/tb/index.php?action=describe_port&id=672

On 10-i386-clang it fails with which is the same error as on 10-amd64-gcc42
Comment 3 Rene Ladan freebsd_committer 2012-01-26 21:39:17 UTC
Attached is a possible fix which removes the __FreeBSD_kernel__ operand
from the #if check using an inline Makefile patch.  Probably not the
best fix but it works for now.

I can now successfully build [1] the plugin on 10.0/i386/clang and
successfully run the plugin on 10.0/amd64/system-gcc.

[1] http://rene-ladan.nl:8080/tb/index.php?action=describe_port&id=672
Comment 4 Rene Ladan freebsd_committer 2012-01-27 09:01:50 UTC
State Changed
From-To: open->closed

Committed.
Comment 5 dfilter service freebsd_committer 2012-01-27 09:01:51 UTC
rene        2012-01-27 09:01:37 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/xfce4-netload-plugin Makefile 
  Log:
  Fix build on 10.0
  
  PR:             ports/163867
  Submitted by:   myself
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.40      +4 -0      ports/sysutils/xfce4-netload-plugin/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"